<?php
/**********************************************************************************
WIKINDX: Bibliographic Management system.
Copyright (C)

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

TheWIKINDX Team 2011
sirfragalot@users.sourceforge.net
**********************************************************************************/
/*****
* SUCCESS_en class (English)
* NOTE TO TRANSLATORS:  1/  '###' appearing anywhere in an array value will be replaced by text supplied by the core WIKINDX code.
*			2/  Do not change the key (the first part) of an array element.
*			3/  Ensure that each array element value is enclosed in double quotes "..." and is followed by a comma "...",
*			4/  Both the class name and the constructor name should be changed to match the (case-sensitive) name of 
*				the folder your language files are in.  For example, if you are supplying a Klingon translation and 
*				your languages/ folder is languages/kn/, the class and constructor name for the file SUCCESS.php 
*				must both be SUCCESS_kn.
*
* NOTE TO DEVELOPERS:  1/ Any comments not preceeded by '///' at the start of the line will be ignored by the localization module.
*				2/  All comments should be on one line (no line breaks) and must start at the beginning of the line for the localization module to work.
*				3/  Comments must be of the form '/// notes_ This array does this' where 'notes' is the array key that the comment refers to.
*****/
class SUCCESS_en
{
// Constructor
	function __construct()
	{
	}
// English success messages
	function loadArrays()
	{
		return array(
// START__LOCALIZATION__MODULE__EDIT
/// notes_ '###' will be 'created', 'added', edited', 'deleted'....
				"notes"		=>	"Successfully ### note",
				"categoryKeyword"		=>	"Successfully ### categories and keywords",
				"quotes"	=>	"Successfully ### quote",
				"paraphrases"	=>	"Successfully ### paraphrase",
				"musings"	=>	"Successfully ### musing",
				"abstract"	=>	"Successfully ### abstract",
				"config"	=>	"Successfully configured WIKINDX",
				"resource"	=>	"Successfully ### resource",
				"category"		=>	"Successfully ### category(s)",
				"language"		=>	"Successfully ### language(s)",
				"subcategory"	=>	"Successfully ### subcategory(s)",
				"creator"	=>	"Successfully edited creator",
				"publisher"	=>	"Successfully edited publisher",
				"collection"	=>	"Successfully edited collection",
				"bibtexImport"	=>	"Successfully uploaded BibTeX bibliography",
				"endnoteImport"	=>	"Successfully uploaded Endnote XML bibliography",
				"keyword"	=>	"Successfully edited keyword",
				"keywordDelete"	=>	"Successfully deleted keyword(s)",
				"user"		=>	"Successfully ### user(s)",
				"registerEmail"	=>	"An email has been sent to you with further instructions",
				"bibliography"	=>	"Successfully ### bibliography",
				"userTag"	=>	"Successfully ### user tag",
				"addBib"	=>	"Successfully added item to bibliography",
				"deleteFromBib"	=>	"Successfully deleted item(s) from bibliography",
				"notify"	=>	"Successfully set email notification",
				"news"		=>	"Successfully ### news",
				"style"		=>	"Successfully ### bibliographic style",
				"field"		=>	"Successfully ### custom database field",
				"attach"	=>	"Successfully ### attachment",
				"url"	=>	"Successfully ### URL",
				"addResourceToCategory"	=>	"Successfully added resources to category(s)",
				"addResourceToSubcategory"	=>	"Successfully added resources to subcategory(s)",
				"addResourceToUserTag"	=>	"Successfully added resources to user tag(s)",
				"addResourceToKeyword"	=>	"Successfully added resources to keyword(s)",
				"addResourceToLanguage"	=>	"Successfully added resources to languages(s)",
				"convertType"	=>	"Successfully converted resource type",
				"bookmark"	=>	"Successfully added bookmark",
				"bookmarkDelete"	=>	"Successfully deleted bookmark(s)",
				"keywordMerge"	=>	"Successfully merged keywords",
				"basketAdd"	=>	"Successfully added resource to basket",
				"basketRemove"	=>	"Successfully removed resource from basket",
				"basketDelete"	=>	"Successfully deleted basket",
				"forgetUpdate"	=>	"Successfully updated the forgotten password system",
				"maturityIndex"	=>	"Successfully set the maturity index",
				"group" => "Successfully ### user group",
/// emailFriend_ User has emailed a firend a link to a resource
				"emailFriend" => "Successfully sent email",
				"creatorMerge"	=>	"Successfully merged creators",
				"creatorGroup"	=>	"Successfully grouped creators",
				"creatorUngroup"	=>	"Successfully removed creators from group",
				"registerRequest" => "Your registration request has been emailed to the WIKINDX administrator and you should receive an emailed response soon",
				"registerRequestManage"	=>	"Successfully managed registration requests.",
/// quarantineApprove_ ADMIN has approved a quarantined resource
				"quarantineApprove" => "Successfully approved resource",
				"quarantined"	=>	"Resource has been quarantined from public view until approved by an administrator",
				"plugins"	=>	"Successfully configured plugins",
// END__LOCALIZATION__MODULE__EDIT
		);
	}
}
?>