﻿<?php
/**********************************************************************************
WIKINDX: Bibliographic Management system.
Copyright (C)

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

The WIKINDX Team 2012
sirfragalot@users.sourceforge.net
**********************************************************************************/
/**
* ABOUT class
*
* About page for WIKINDX
*
*/
class ABOUT
{
private $html;

	public function __construct()
	{
		$this->html = FACTORY_HTML::getInstance();
		GLOBALS::setOutputHeading('About WIKINDX');
	}
/**
* Print the about page
*/
	public function init()
	{
		$linkSmarty = $this->html->a("link", "Smarty", "http://www.smarty.net/", "_blank");
		$linkAdodb = $this->html->a("link", "ADOdb", "http://adodb.sourceforge.net", "_blank");
		$linkSfWikindx = $this->html->a("link", "WIKINDX Sourceforge Project", 
			"http://sourceforge.net/projects/wikindx/", "_blank");
		$linkSf = $this->html->a("link", "Sourceforge", "http://www.sourceforge.net", "_blank");
		$gnuLink = $this->html->a("link", "GNU General Public License", "http://www.opensource.org/licenses/gpl-3.0.html", "_blank");
		$tinyMceLink = $this->html->a("link", "TinyMCE", "http://www.tinymce.com/", "_blank");
		$pString = $this->html->p('The ' . $this->html->b('WIKINDX Virtual Research Environment v4 ') .  
			'is brought to you by the following:');
		$list = $this->html->li($this->html->b('Mark Grimshaw: ') . '[ADMINSTRATOR/LEAD PROGRAMMER] (UK/New Zealand/Denmark)');
//		$list .= $this->html->li($this->html->b('Stephen Sykes: ') . '[PROGRAMMER] (UK)');
//		$list .= $this->html->li($this->html->b('John Williford: ') . '[PROGRAMMER] (USA)');
		$list .= $this->html->li($this->html->b('St&eacute;phane Aulery: ') . '[PROGRAMMER] (FR)');
		$pString .= $this->html->ul($list);
		$pString .= $this->html->p('v4 Beta testers:');
		$list = $this->html->li($this->html->b('H&eacute;lio Alvarenga Nunes: ') . '(Federal University of Minas Gerais, Brazil)');
		$list .= $this->html->li($this->html->b('Amaury de la Pinsonnais: ') . '(G&eacute;n&eacute;alogie project, France)');
		$list .= $this->html->li($this->html->b('Geoffrey Rowland: ') . '(Yeovil College and University Centre Yeovil, UK)');
		$list .= $this->html->li($this->html->b('Fabrizio Tallarita: ') . '(Collegio Ipasvi di Roma, Italy)');
		$list .= $this->html->li($this->html->b('Joachim Trinkwitz: ') . '(University of Bonn, Germany)');
		$list .= $this->html->li($this->html->b('Notis Toufexis: ') . '(Independent scholar, Germany)');
		$list .= $this->html->li($this->html->b('Allen Wilkinson: ') . '(NASA Glen Research Center, USA)');
		$pString .= $this->html->ul($list);
		$pString .= $this->html->p('Contributors to earlier versions include:');
		$list = $this->html->li('Andreas G. Nie');
		$list .= $this->html->li('Jess Collicott');
		$list .= $this->html->li('Mark Tsikanovski');
		$list .= $this->html->li('John Weare');
		$list .= $this->html->li('Tim Richter');
		$list .= $this->html->li('Pascal Kockaert');
		$list .= $this->html->li('Frank Goergen');
		$list .= $this->html->li('Brian Koontz');
		$list .= $this->html->li('Benoit Beraud');
		$pString .= $this->html->ul($list);
		$pString .= $this->html->p("WIKINDX makes use of the $linkSmarty HTML templating system, the $tinyMceLink WYSIWYG editor
			and the $linkAdodb SQL abstraction layer.");
		$pString .= $this->html->p("All updates, bug reports, forums, news etc. can be found at the $linkSfWikindx");
		$pString .= $this->html->p("Thanks to $linkSf for hosting the project.");
		$pString .= $this->html->hr();
		$pString .= $this->html->p("This program is free software; you can redistribute it and/or modify it 
			under the terms of the GNU General Public License as published by the Free Software Foundation; either
			version 3 of the License, or any later version.");
		$pString .= $this->html->p("If you do redistribute or modify the program, you must retain the copyright 
		information and WIKINDX contact details as found in each file.");
		$pString .= $this->html->p("This program is distributed in the hope that it will be useful, but WITHOUT 
		ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
		See the $gnuLink for more details.");
		$pString .= $this->html->p("The WIKINDX Team ~ Copyright (C) 2012", FALSE, 'right');
		GLOBALS::buildOutputString($pString);
	}
}
?>
