<?php
/**********************************************************************************
WIKINDX: Bibliographic Management system.
Copyright (C)

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; either 
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; 
if not, write to the 
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

The WIKINDX Team 2012
sirfragalot@users.sourceforge.net
**********************************************************************************/


session_start();
if(isset($_SESSION))
{
	chdir($_SESSION['wikindxBasePath']); // tinyMCE changes the phpbasepath
	$script = '<script type="text/javascript" src="../../tiny_mce_popup.js"></script>
		<script type="text/javascript" src="../../../../plugins/wordProcessor/wikindxWPcommon.js"></script>
		<script type="text/javascript" src="js/wikindxImagedialog.js"></script>';
	include_once("core/startup/GLOBALS.php");
	GLOBALS::buildOutputScript($script);
	$class = new imageDialog();
}
else
	echo 'Session error';
		
class imageDialog
{
private $messages;
private $form;
private $html;

	function __construct()
	{
		include_once("core/startup/FACTORY.php");
		include_once("core/startup/GLOBALS.php");
		include_once("core/messages/PLUGINMESSAGES.php");
		$this->messages = new PLUGINMESSAGES('wordProcessor', 'wordProcessorMessages');
		$this->form = FACTORY_FORM::getInstance();
		$this->html = FACTORY_HTML::getInstance();
		$this->imageDialogue();
	}
	
/*
* Add image dialogue
* @author Mark Grimshaw
* @version 1
* @return string
*/
	private function imageDialogue()
	{
		$pString = $this->html->h($this->messages->text("headingAddImage"), FALSE, 3);
		$this->form->insertJscriptAction = "onsubmit=\"return imageDialog();\"";
		$pString .= $this->form->formHeaderVisibleAction("dialog.php", "insertImage");
		$pString .= $this->form->hidden("method", "addImage");
		$pString .= $this->form->textInput($this->messages->text("imagePath"), 'imagePath', 'http://', 50);
		$pString .= $this->html->p($this->form->formSubmit('Submit', FALSE, 'insert'));
		$pString .= $this->form->formEnd();
		GLOBALS::buildOutputString($pString);
		FACTORY_CLOSEPOPUP::getInstance();
	}
}
?>
